StarObjectPageStyle Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
StarObjectPageStyle Class Reference

the main class to read a SwPageStyleSheets zone More...

`#include <StarObjectPageStyle.hxx>`

Inheritance diagram for StarObjectPageStyle:

## Public Member Functions
| StarObjectPageStyle (StarObject const &orig, bool duplicateState)
| constructor More...
| ~StarObjectPageStyle () override
| destructor More...
bool | read (StarZone &zone)
| try to read a PageStyle zone More...
bool | updatePageSpans (std::vector< librevenge::RVNGString > const &listNames, std::vector< STOFFPageSpan > &pageSpan, int &numPages)
| try to update the page span (to create text document) More...
Public Member Functions inherited from StarObject
| StarObject (char const *passwd, std::shared_ptr< STOFFOLEParser > oleParser, std::shared_ptr< STOFFOLEParser::OleDirectory > directory)
| constructor More...
virtual | ~StarObject ()
| destructor More...
bool | parse ()
| try to parse data More...
STOFFDocument::Kind | getDocumentKind () const
| returns the document kind More...
char const * | getPassword () const
| returns the document password (the password given by the user) More...
std::shared_ptr< STOFFOLEParser::OleDirectory > | getOLEDirectory ()
| returns the object directory More...
std::shared_ptr< StarAttributeManager > | getAttributeManager ()
| returns the attribute manager More...
std::shared_ptr< StarFormatManager > | getFormatManager ()
| returns the format manager More...
librevenge::RVNGPropertyList const & | getMetaData () const
| returns the meta data (filled by readSfxDocumentInformation) More...
librevenge::RVNGString | getUserNameMetaData (int i) const
| returns the ith user meta data More...
void | cleanPools ()
| clean each pool More...
std::shared_ptr< StarItemPool > | getNewItemPool (StarItemPool::Type type)
| returns a new item pool for this document More...
std::shared_ptr< StarItemPool > | findItemPool (StarItemPool::Type type, bool isInside)
| check if a pool corresponding to a given type is opened if so returned it. More...
std::shared_ptr< StarItemPool > | getCurrentPool (bool onlyInside=true)
| returns the current all/inside pool More...
bool | readPersistData (StarZone &zone, long endPos, bool inPersistElements=false)
| try to read persist data More...
bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &name)
| try to read a spreadshet style zone: SfxStyleSheets More...
bool | readItemSet (StarZone &zone, std::vector< STOFFVec2i > const &limits, long endPos, StarItemSet &itemSet, StarItemPool *pool=nullptr, bool isDirect=false)
| try to read a list of item More...

## Protected Member Functions
bool | updatePageSpan (librevenge::RVNGString const &name, StarState &state)
| try to update the pagespan More...
Protected Member Functions inherited from StarObject
bool | readPersistElements (STOFFInputStreamPtr input, std::string const &name)
| the "persist elements" small ole: the list of object More...
bool | readSfxDocumentInformation (STOFFInputStreamPtr input, std::string const &name)
| try to read the document information : "SfxDocumentInformation" More...
bool | readSfxPreview (STOFFInputStreamPtr input, std::string const &name)
| try to read the preview : "SfxPreview" More...
bool | readSfxWindows (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the windows information : "SfxWindows" More...
bool | readStarFrameworkConfigFile (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the "Star Framework Config File" More...
bool | readStarFrameworkConfigItem (STOFFEntry &entry, STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read an item in a "Star Framework Config File" More...
| StarObject (StarObject const &orig, bool duplicateState)
| copy constructor More...

## Protected Attributes
std::shared_ptr< StarObjectPageStyleInternal::State > | m_pageStyleState
| the state More...
Protected Attributes inherited from StarObject
char const * | m_password
| the document password More...
std::shared_ptr< STOFFOLEParser > | m_oleParser
| the ole parser More...
std::shared_ptr< STOFFOLEParser::OleDirectory > | m_directory
| the directory More...
std::shared_ptr< StarObjectInternal::State > | m_state
| the state More...
librevenge::RVNGPropertyList | m_metaData
| the meta data More...

## Private Member Functions
StarObjectPageStyle & | operator= (StarObjectPageStyle const &orig)=delete

## Detailed Description

the main class to read a SwPageStyleSheets zone

## Constructor & Destructor Documentation

## ◆ StarObjectPageStyle()

StarObjectPageStyle::StarObjectPageStyle | ( | StarObject const & | orig,
|  | bool | duplicateState
| ) |  |

constructor

## ◆ ~StarObjectPageStyle()

StarObjectPageStyle::~StarObjectPageStyle | ( |  | ) |
| override

destructor

## Member Function Documentation

## ◆ operator=()

StarObjectPageStyle& StarObjectPageStyle::operator= | ( | StarObjectPageStyle const & | orig | ) |
| privatedelete

## ◆ read()

bool StarObjectPageStyle::read | ( | StarZone & | zone | ) |

try to read a PageStyle zone

## ◆ updatePageSpan()

bool StarObjectPageStyle::updatePageSpan | ( | librevenge::RVNGString const & | name,
|  | StarState & | state
| ) |  |
| protected

try to update the pagespan

Referenced by updatePageSpans().

## ◆ updatePageSpans()

bool StarObjectPageStyle::updatePageSpans | ( | std::vector< librevenge::RVNGString > const & | listNames,
|  | std::vector< STOFFPageSpan > & | pageSpan,
|  | int & | numPages
| ) |  |

try to update the page span (to create text document)

Referenced by updatePageSpan().

## Member Data Documentation

## ◆ m_pageStyleState

std::shared_ptr<StarObjectPageStyleInternal::State> StarObjectPageStyle::m_pageStyleState
| protected

the state

Referenced by read(), and updatePageSpan().

The documentation for this class was generated from the following files:

- StarObjectPageStyle.hxx
- StarObjectPageStyle.cxx